Bug 110693 - bad source code
Summary: bad source code
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: asp2php   
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Joe Orton
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-11-23 16:06 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version: 0.76.18-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-24 15:52:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2003-11-23 16:06:18 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows 98)

Description of problem:

I just tried to compile package asp2php-0_76_2-6 from Fedora.

The compiler said

main_parser.c(500): remark #592: variable "tokentype" is used before 
its value is set

The source code is

int parse_randomize()
{
int tokentype;
char token[TOKENSIZE];

  while(tokentype!=5)
  {
    tokentype=gettoken(token);
  }

  autoindent();
  fprintf(out,"mt_srand((double)microtime()*1000000);\n");

  return 0;
}

I agree with the compiler. Maybe this code could benefit from some
improvement.




Version-Release number of selected component (if applicable):
0_76_2-6 

How reproducible:
Always

Steps to Reproduce:
1. compile the package
2.
3.
    

Additional info:

Comment 1 Joe Orton 2003-11-24 15:52:45 UTC
Thanks for the report, fixed in 0.76.18-1 when that reaches Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.